import {BackendConnectorImpl} from "../utils/BackendConnectorImpl.ts";

const bc = new BackendConnectorImpl("http://localhost:8080/api/v1");

export function BackendConnectorTestInterface() {
    return <div style={{padding: "1rem"}}>
        <h2>Backend connector test</h2>
        <h3>Plants controller</h3>
        <ul style={{display: "block", listStyleType: "initial"}}>
            <li onClick={async () => console.log(await bc.getSinglePlant(13501))}>Get single plant</li>
            <li onClick={async () => console.log(await bc.getAllPlants())}>Get all plants</li>
            <li onClick={async () => console.log(await bc.getRandomPlants(5))}>Get random plants</li>
            <li onClick={async () => console.log(await bc.searchPlants({searchTerm: "Salat"}))}>Search for "salat"</li>
        </ul>
        <h3>Garden controller</h3>
        <ul style={{display: "block", listStyleType: "initial"}}>
            <li onClick={async () => console.log(await bc.getSinglePlant(13501))}>Get single plant</li>
        </ul>
    </div>
}
